# Package-level declarations

## Types

ReadCRUDFromKeyValueRepo
Link copied to clipboard
open class ReadCRUDFromKeyValueRepo < RegisteredType , IdType >(original: ReadKeyValueRepo < IdType , RegisteredType >) : ReadCRUDRepo < RegisteredType , IdType >

Adapter that exposes a ReadKeyValueRepo as a ReadCRUDRepo. Maps CRUD read operations to the underlying key-value repository operations.

## Functions

asReadCRUDRepo
Link copied to clipboard
fun < K , V > ReadKeyValueRepo < K , V >. asReadCRUDRepo (): ReadCRUDFromKeyValueRepo < V , K >

Wraps this ReadKeyValueRepo as a ReadCRUDFromKeyValueRepo, exposing CRUD read operations.